Bug 815427 - xrandr locks up Xorg (CPU ~ 100%)
xrandr locks up Xorg (CPU ~ 100%)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 11:20 EDT by Grant Goodyear
Modified: 2013-07-31 21:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:10:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (no xorg.conf file) (27.43 KB, text/plain)
2012-04-23 11:22 EDT, Grant Goodyear
no flags Details
Xorg.0.log (no xorg.conf file) (129.11 KB, text/plain)
2012-04-23 11:29 EDT, Grant Goodyear
no flags Details
smolt profile (6.23 KB, text/plain)
2012-04-23 11:30 EDT, Grant Goodyear
no flags Details
dmesg w/ drm.debug=14 log_buf_len=16M (138.87 KB, text/plain)
2012-04-23 11:42 EDT, Grant Goodyear
no flags Details

  None (edit)
Description Grant Goodyear 2012-04-23 11:20:43 EDT
Description of problem:

On friday I upgraded my system to Fedora 17 using preupgrade.  When logging into gnome3, the system freezes: the mouse cursor is suddenly pinned on the left side of the screen, top shows Xorg as taking just under 100% of the CPU, and login fails to progress.  I have to remotely  "killall -9 Xorg" to return to the login screen.  The gdm login screen does seem to be responsive, though, so Xorg isn't entirely broken.

I also have notion (the current incarnation of the ion3 WM) on this machine, and I couldn't log into a notion session, either.  I could log into a fluxbox session, however.  I started commenting out lines in my .xsession file (that I use to log into notion), and I found that the line causing the problem is:

   xrandr --output DVI-0 --left-of VGA-0

Once I commented out that line, I could log into a notion session just fine.  My gnome3 session also has the monitors "switched", and I assume that gnome3 uses xrandr to do that at startup, which is why I couldn't log into gnome3 either.

I've no idea if the problem is xorg, xrandr, or the radeon driver I'm using.


Version-Release number of selected component (if applicable):

xorg-x11-server-utils-7.5-12.fc17.x86_64
xorg-x11-drv-ati-6.14.4-5.20120417git0bda305f7.fc17.x86_64



How reproducible:

Locks up every time.


Steps to Reproduce:
1. xrandr --output DVI-0 --left-of VGA-0
2.
3.
  
Actual results:

100% CPU usage, Xorg locks up, mouse cursor pinned to left side of screen.


Expected results:

None of the above.


Additional info:
Comment 1 Grant Goodyear 2012-04-23 11:22:00 EDT
Created attachment 579596 [details]
Xorg.0.log (no xorg.conf file)
Comment 2 Grant Goodyear 2012-04-23 11:29:24 EDT
Created attachment 579599 [details]
Xorg.0.log (no xorg.conf file)
Comment 3 Grant Goodyear 2012-04-23 11:30:14 EDT
Created attachment 579605 [details]
smolt profile
Comment 4 Grant Goodyear 2012-04-23 11:42:14 EDT
Created attachment 579622 [details]
dmesg w/ drm.debug=14 log_buf_len=16M
Comment 5 Grant Goodyear 2012-04-23 11:45:20 EDT
Booting w/ "nomodeset" breaks xrandr (as far as I can tell), so I can't test w/ nomodeset on the boot line.
Comment 6 Adam Jackson 2012-04-26 10:41:10 EDT
Probably a radeon driver bug (either userspace or kernel).
Comment 7 Fedora End Of Life 2013-07-03 18:56:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 21:10:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.